Change an outcome reason
Its words, its description, its place, or whether it is offered. An animal keeps the words it was given, so this changes no outcome already recorded. Needs admin on Animals.
PATCH
https://{organization}.rescueconsole.com
/
api
/
animals
/
outcome-reasons
/
{id}
Change an outcome reason
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/animals/outcome-reasons/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"description": "<string>",
"is_active": true,
"sort_order": 123
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', description: '<string>', is_active: true, sort_order: 123})
};
fetch('https://{organization}.rescueconsole.com/api/animals/outcome-reasons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/outcome-reasons/{id}"
payload = {
"label": "<string>",
"description": "<string>",
"is_active": True,
"sort_order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"reason": {
"id": "<string>",
"kind": "euthanasia",
"label": "<string>",
"sort_order": 123,
"is_active": true,
"description": "<string>",
"starter_key": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
⌘I
Change an outcome reason
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/animals/outcome-reasons/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"description": "<string>",
"is_active": true,
"sort_order": 123
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', description: '<string>', is_active: true, sort_order: 123})
};
fetch('https://{organization}.rescueconsole.com/api/animals/outcome-reasons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/outcome-reasons/{id}"
payload = {
"label": "<string>",
"description": "<string>",
"is_active": True,
"sort_order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"reason": {
"id": "<string>",
"kind": "euthanasia",
"label": "<string>",
"sort_order": 123,
"is_active": true,
"description": "<string>",
"starter_key": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
